Bug 1104682 - Partially working "Really abort?" dialog in YaST2
Partially working "Really abort?" dialog in YaST2
Status: RESOLVED WORKSFORME
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: YaST2
Leap 15.1
x86-64 Other
: P4 - Low : Minor (vote)
: ---
Assigned To: E-mail List
Jiri Srain
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-08-13 14:26 UTC by Jan Polák
Modified: 2018-09-03 11:35 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---
jreidinger: needinfo? (jan.456cz)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Polák 2018-08-13 14:26:09 UTC
User-Agent:       Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:61.0) Gecko/20100101 Firefox/61.0
Build Identifier: 

System is freshly installed from full DVD media (4,7GB). During installation only 4 patterns were chosen - Basic System, Enhanced Basic System, Software Managment, YaST2. System has disabled firewall and SSH. System is running in CLI. Only OSS repositories are used.

Reproducible: Always

Steps to Reproduce:
1. Open YaST2 by command "sudo yast"
2. Enter password
3. From left pane choose "Network Services"
4. Open "Samba Server" item
5. Make any change to network shares
6. Hit "Alt+C" to [Cancel] pending changes
Actual Results:  
Dialog gives option to abort pending changes. "Alt+Y" to confirm aborting does nothing and selecting by arrows does nothing too. Only selection with "Tab" key works.

Expected Results:  
Dialog gives option to abort pending changes. User is able to choose "Yes" by stroking "Alt+Y" or by arrow keys.

Selection by arrow keys is optional. I think it would add complexity to code.
Comment 1 Josef Reidinger 2018-08-14 09:01:24 UTC
Thanks for report. Can you please attach yast logs? ( output of save_y2logs ) as shortcuts should work unless there is some collision of shortcuts that should be fixed. Thanks
Comment 2 Ladislav Slezák 2018-09-03 11:35:55 UTC
I tried to reproduce the problem in the latest build (openSUSE-Leap-15.1-DVD-x86_64-Build297.3-Media.iso) and it worked fine for me, the Alt+Y keyboard shortcut properly aborted the samba server module as expected.

If you can still reproduce it in the latest build then reopen the bug. Thank you!